Subject: Re: draft-burdis-cat-srp-sasl-07.txt

From: "Trevor Perrin" <[email-masked]>
Date: Sat, 14 Sep 2002 21:37:38 -0800

>From: "Raif S. Naffah" <[email-masked]>
>
>QUOTE
>         Client                             Host
>        --------                           ------
>         U, A                        -->
>                                     <--    s, B
>         H(H(N) XOR H(g) | H(U) | s | A | B | K)
>                                     -->
>                                     <--    H(A | M | K)
>
>    The values of N and g used in this protocol must be agreed upon by
>    the two parties in question.  They can be set in advance, or the host
>    can supply them to the client.  In the latter case, the host should
>    send the parameters in the first message along with the salt...
>UNQUOTE
>
>if N and g are negotiated, as it is the case in our draft, then the 
>exchange
>becomes:
>
>    Client     Host
>    ------     ------
>    U     -->
>          <--  N,g,s
>    A     -->
>          <--  B
>    M1    -->
>          <--  M2
>

Right, which undoes the optimization the protocol diagram at the end of 
section 3 was demonstrating.  But this is a quibble, I'm sorry I brought it 
up, I think the text is fine as stands.

Trevor

_________________________________________________________________
MSN Photos is the easiest way to share and print your photos: 
http://photos.msn.com/support/worldwide.aspx